AttributeError: 'BatchInputSelectionPanel' object has no attribute 'getText' 

2018-01-10 02:34 PM - Hannes Kohlmann

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25731

Description

When trying to polygonize a raster layer (Raster ‣ Conversion ‣ Polygonize (Raster to Vector)) and starting it as a batch process:

AttributeError: 'BatchInputSelectionPanel' object has no attribute 'getText' 

Traceback (most recent call last):

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\AlgorithmDialog.py", line 79, in runAsBatch

    dlg = BatchAlgorithmDialog(self.algorithm())

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\BatchAlgorithmDialog.py", line 69, in init

    self.setMainWidget(BatchPanel(self, self.algorithm()))

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\BatchPanel.py", line 84, in init

    self.initWidgets()

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\BatchPanel.py", line 127, in initWidgets

    self.addRow()

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\BatchPanel.py", line 267, in addRow

    wrapper.postInitialize(list(wrappers.values()))

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\wrappers.py", line 1435, in postInitialize

    self.setLayer(wrapper.value())

  File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\gui\wrappers.py", line 802, in value

    return self.widget.getText()

AttributeError: 'BatchInputSelectionPanel' object has no attribute 'getText'

Python-Version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

QGIS-Version: 2.99.0-Master Master, d0e927a84f

Related issues:

Duplicates QGIS Application - Bug report # 17821: batchmode for gdal/translat... Closed 2018-01-08

History

#1 - 2018-01-15 08:18 AM - Alexander Bruy

- Resolution set to duplicate

- Operating System deleted (Win 10 Prof)

- Status changed from Open to Closed

Duplicates #17821

#2 - 2018-01-15 08:18 AM - Alexander Bruy

- Duplicates Bug report #17821: batchmode for gdal/translate do not work with actual master 2.99 added
